package com.ruoyi.post.frequency.posttype.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.post.controller.req.PostTypeListReq;
import com.ruoyi.post.frequency.posttype.entity.PostType;
import com.ruoyi.response.ResponseData;

import java.util.List;

/**
 * 帖子分类Service接口
 *
 * @author liwenlong
 * @date 2023-10-10
 */
public interface PostTypeService extends IService<PostType>
{
    /**
     * 查询帖子分类
     *
     * @param id 帖子分类主键
     * @return 帖子分类
     */
    public PostType selectPostTypeById(Long id);

    /**
     * 查询帖子分类列表
     *
     * @param postType 帖子分类
     * @return 帖子分类集合
     */
    public List<PostType> selectPostTypeList(PostType postType);

    /**
     * 新增帖子分类
     *
     * @param postType 帖子分类
     * @return 结果
     */
    public int insertPostType(PostType postType);

    /**
     * 修改帖子分类
     *
     * @param postType 帖子分类
     * @return 结果
     */
    public int updatePostType(PostType postType);

    /**
     * 批量删除帖子分类
     *
     * @param ids 需要删除的帖子分类主键集合
     * @return 结果
     */
    public int deletePostTypeByIds(Long[] ids,Integer delFlag);

    /**
     * 删除帖子分类信息
     *
     * @param id 帖子分类主键
     * @return 结果
     */
    public int deletePostTypeById(Long id);


    /**
     * 获取帖子分类列表
     * @return
     */
    ResponseData postTypeList(PostTypeListReq req);
}
